#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ERecordingSessionChangeNotificationType {
    Started = 1,
    Stopped = 2,
    Deleted = 3,
    Updated = 4,
}

impl ERecordingSessionChangeNotificationType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Started as i32 => Some(Self::Started),
            x if x == Self::Stopped as i32 => Some(Self::Stopped),
            x if x == Self::Deleted as i32 => Some(Self::Deleted),
            x if x == Self::Updated as i32 => Some(Self::Updated),
            _ => None,
        }
    }
}
